@charset "utf-8";

html {
    scroll-behavior: smooth;
}

header,
footer {
    background-color: #ffffff10;
    z-index: 2;
    background: rgba(255, 255, 255, .15);
}

footer {
    backdrop-filter: blur(12px);
}

/* 背景 → */
body {
    width: 100%;
    height: 100vh;
    margin: 0;
    font-family: "Walter Turncoat", "Kiwi Maru", cursive;
    font-weight: 400;
    font-style: normal;
    font-size: 20px;
}

/* 泡エフェクト */

body {
    position: relative;
    background: linear-gradient(to bottom left, #94ffe8, #3498db, #08009c);
}

.bubble {

    position: fixed;

    bottom: -20px;

    border-radius: 50%;
    border: 1px solid rgba(255, 255, 255, .7);

    opacity: .7;

    pointer-events: none;


    animation-name: bubbleFloat;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    will-change:
        transform,
        opacity;
}

@keyframes bubbleFloat {

    0% {

        transform:
            translateY(0) translateX(0);

        opacity: .7;
    }

    25% {

        transform:
            translateY(-25vh) translateX(10px);
    }

    50% {

        transform:
            translateY(-50vh) translateX(-8px);
    }

    75% {

        transform:
            translateY(-75vh) translateX(6px);
    }

    100% {

        transform:
            translateY(-110vh) translateX(-5px);

        opacity: 0;
    }

}

/* 背景 ← */
/* PC_ナビゲーション → */
header {
    position: relative;
}

/* ナビ全体 */
.nav {
    position: fixed;
    top: 40px;
    right: 50px;
    z-index: 100;
    max-height: calc(100%-20px);
}

/* リスト */
.list {
    display: flex;
    flex-direction: column;
    gap: 12px;

    margin: 0;
    padding: 0;
}

/* 共通リンク */
.link,
.linkHover {
    display: flex;
    align-items: center;
    justify-content: space-between;

    width: 150px;
    box-sizing: border-box;

    padding: 16px 22px;

    color: #333;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: .05em;

    border-radius: 18px;
    background: rgba(255, 255, 255, .15);
    backdrop-filter: blur(12px);

    transition:
        background .3s ease,
        color .3s ease,
        transform .3s ease;

    cursor: pointer;
}

/* hover */
.link:hover,
.linkHover:hover,
.link:focus,
.linkHover:focus {
    background: rgba(255, 255, 255, .3);
    color: hotpink;
    transform: translateY(-2px);
}

.linkHover:focus {
    color: #333;
}

/* details */
.listItem details {
    width: 150px;
    position: relative;
}

/* summaryデフォルト矢印消す */
.linkHover::-webkit-details-marker {
    display: none;
}

/* + アイコン */
.linkHover::before,
.linkHover::after {
    content: '';

    position: absolute;
    right: 24px;

    width: 3px;
    height: 14px;

    border-radius: 999px;
    background: currentColor;

    transition:
        rotate .3s ease,
        opacity .3s ease;
}

/* 横棒 */
.linkHover::before {
    rotate: 90deg;
}

/* 開いたら縦棒消す */
details[open] .linkHover::after {
    rotate: 90deg;
    opacity: 0;
}

/* dropdown */
.dropDown {

    max-height: 0;
    overflow: hidden;

    opacity: 0;

    transform: translateY(-5px);

    transition:
        max-height .4s ease,
        opacity .3s ease,
        transform .3s ease;
}

/* 中身 */
.dropDownList {
    overflow: hidden;

    display: flex;
    flex-direction: column;
    gap: 8px;

    margin: 0;
    padding: 0 8px;

    list-style: none;
}

/* 開いた時 */
details[open] .dropDown {

    max-height: 300px;
    opacity: 1;

    padding-top: 8px;

    transform: translateY(0);
}

/* focus見やすく */
.linkHover:focus-visible {
    outline: 2px solid hotpink;
    outline-offset: 4px;
}

/* dropdown link */
.dropDownLink {
    display: block;

    padding: 14px 18px;

    border-radius: 14px;

    color: #333;
    text-decoration: none;
    font-size: .95rem;

    background: rgba(255, 255, 255, .08);
    transition:
        background .3s ease,
        color .3s ease,
        transform .3s ease;
}

.dropDownLink:hover,
.dropDownLink:focus {
    background: rgba(255, 255, 255, .25);
    color: hotpink;
    transform: translateX(4px);
}

/* PC_ナビゲーション ← */
/* スマホ_ナビゲーション → */
.spNavmenu {
    display: none;
}

.btnTrigger {
    width: 40px;
    cursor: pointer;
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 110;
}

.btnTrigger span {
    display: block;
    width: 100%;
    height: 2px;
    background-color: #333;
    margin: 8px 0;
    transition: 0.3s;
}

.menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    background-color: #ffffff;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
    z-index: 100;
    padding: 20px;
}

.menu.active {
    opacity: 1;
    visibility: visible;
}

.btnTrigger.active span:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
}

.btnTrigger.active span:nth-child(2) {
    opacity: 0;
}

.btnTrigger.active span:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
}

.spNav .list {
    text-align: center;
    gap: 20px;
}

.navText {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 20px;
}

.navTextTitle {
    font-size: 32px;
}

.navTitleText {
    font-size: 16px;
}

.listSubitem {
    display: flex;
    justify-content: center;
    gap: 20px;
}

/* スマホ_ナビゲーション ← */

/* メイン → */
.mainFlex {
    display: flex;
    flex-wrap: wrap;
}

.background {
    width: 50%;
    height: calc(100vh - 20px);
    position: relative;
    overflow: hidden;
}

.floatingImg {
    position: absolute;

    width: 220px;
    aspect-ratio: 1 / 1;

    cursor: pointer;

    transition:
        transform .3s ease;
}

.floatingContent {
    background-image:
        url(../tama_images/animation_ano_mini.webp);

    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    height: 100%;
}

.spin {

    background-image:
        url(../tama_images/animation_ano_mini2.webp);

    animation:
        spin .8s linear;

}

.floatingContent:hover {

    background-image:
        url(../tama_images/animation_ano_mini2.webp);

    animation:
        jump .5s ease;

}



@keyframes jump {

    0% {

        transform:
            translateY(0);

    }

    50% {

        transform:
            translateY(-40px);

    }

    100% {

        transform:
            translateY(0);

    }

}

@keyframes spin {

    from {

        transform:
            rotate(0deg);

    }

    to {

        transform:
            rotate(-360deg);

    }

}

.mainContents {
    width: 50%;
    height: calc(100vh - 20px);
    backdrop-filter: blur(20px) saturate(180%);
    z-index: 1;
}

/* タイトル → */
.siteTitle {
    width: 100%;
    height: 30vh;
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-color: #d2eaff; */
    position: relative;
    font-family: "Walter Turncoat", "Kiwi Maru", cursive;
    font-weight: 400;
    font-style: normal;
}

.siteTitle div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.siteTitle div h1 {
    font-size: 36px;
}

.siteTitle div p {
    font-size: 16px;
}

.siteTitle a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
}

.siteTitle img,
.spNav img {
    width: 100px;
    object-fit: cover;
    padding: 5px;
}

.spNav img {
    position: fixed;
    top: 0;
    left: 0;
}

/* タイトル ← */

/* 画像スライド → */
.gallery {
    margin: 0px auto;
    height: calc(70vh - 20px);
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 20px;
    flex-wrap: wrap;
}

.galleryPicture {
    width: 45%;
    overflow: hidden;
    z-index: 1;
    min-width: 200px;
}

.slider {
    display: flex;
    width: 100%;
}

.slide {
    flex: 0 0 100%;
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;

    opacity: 0.6;
    transform: scale(1.05);
    transition: opacity 1.5s ease, transform 1.5s ease;
}

.slide:first-child img {
    opacity: 1;
    transform: scale(1);
}

.slide.active img {
    opacity: 1;
    transform: scale(1);
}

.realSlider,
.cuteSlider {
    position: relative;
}

.realSlider p,
.cuteSlider p {
    position: absolute;
    color: #333;
    background-color: #ffffff6a;
    padding: 0 5px;
    font-family: "Walter Turncoat", cursive;
    font-style: normal;
}

.realIllustration,
.cuteIllustration {
    border-radius: 5px;
    top: 0;
    left: 0;

}

.sliderClick {
    width: 80px;
    bottom: 10px;
    right: 10px;
    border-radius: 25px;
    text-align: center;
}

/* 画像スライド ← */



/* メイン ← */

/* フッター → */
footer {
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
}

/* フッター ← */

@media (orientation: portrait) {
    .galleryPicture {
        width: 80%;
    }
}

@media (max-width: 760px) {
    header {
        backdrop-filter: none;
    }

    .spNavmenu {
        display: block;
    }

    .nav {
        display: none;
    }

    .mainContents {
        width: 100%;
    }

    body,
    .mainContents,
    .background,
    .gallery {
        height: max-content;
        min-height: 100vh;
    }

    body {
        min-height: 100vh;
    }

    .mainContents,
    .background,
    .gallery {
        min-height: calc(70vh - 20px);
    }

    .gallery {
        padding: 20px;
        flex-direction: column;
    }

    .mainContents {
        backdrop-filter: none;
        position: relative;
    }

    .background {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

    .galleryPicture {
        width: 230px;
        height: 230px;
        aspect-ratio: 1 / 1;
    }

    .floatingImg {
        width: 100px;
    }

}

@media (max-height: 360px) {
    .spNavmenu {
        display: block;
    }

    .nav {
        display: none;
    }

    .galleryPicture {
        width: 100px;
        height: 200px;
    }

    .floatingImg {
        width: 100px;
    }

    .siteTitle a {
        display: none;
    }
}